4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildScripts

Classes: BuildScripts |  |  |  | Globals: COMMAND_LINE_APP_BODY, SHELL_SCRIPT_HEAD, STUB_MAIN_SOURCE, dirname

## Classes

class BuildScripts(distutils.cmd.Command)

  ### Methods

  build_executable(self, executable)
    Builds a compiled executable. For all systems, the executable is created in the same fashion as the Python interpreter executable.
  build_executable_script(self, exec_script)
    Builds a hand-written shell script. On POSIX systems, this is nothing more than a file copy. For Windows, the executable stub has the contents of the script file appended to the end of the stub.
  build_script(self, script)
    Builds a CommandLineApp script. On POSIX systems, this is a generated shell script. For Windows, it is a compiled executable with the generated file appended to the end of the stub.
  finalize_options(self)
    Overrides: finalize_options from class Command
  get_outputs(self)
  get_script_filename(self, script)
    Convert the name of a script into the name of the file which it will be run from.
  get_source_files(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Create the proper script for the current platform.
    Overrides: run from class Command
  write_script(self, script, script_body, extra_sources=None)

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['force', 'debug']
  command_name = 'build_scripts'
  description = '"build" scripts'
  help_options = [('help-compiler', None, 'list available compilers', <function show_compilers>)]
  stub_name = 'stubmain'
  user_options = [('build-dir=', 'd', 'directory to "build" (copy) to'), ('build-temp=', 't', 'directory for temporary files (build by-products)'), ('force', 'f', 'forcibly build everything (ignore file timestamps'), ('debug', 'g', 'compile/link with debugging information'), ('compiler=', 'c', 'specify the compiler type')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands

## Globals

COMMAND_LINE_APP_BODY = '# script generated in Ft.Lib.DistExt.BuildScripts\n%(import_stmt)s\n%(classname)s().run()\n'
SHELL_SCRIPT_HEAD = "#!%(env_executable)s%(env_args)s%(py_executable)..._module('Ft', *module_info)\n\n### SCRIPT BODY ###\n"
STUB_MAIN_SOURCE = 'build/lib.freebsd-6.1-PRERELEASE-i386-2.4/Ft/Lib/DistExt/stubmain.c'
dirname = 'build/lib.freebsd-6.1-PRERELEASE-i386-2.4/Ft/Lib/DistExt'